Last Comment Bug 673214 - nanojit.h should probably include njcpudetect.h
: nanojit.h should probably include njcpudetect.h
Status: RESOLVED FIXED
fixed-in-tamarin-redux,fixed-in-nanoj...
:
Product: Core Graveyard
Classification: Graveyard
Component: Nanojit (show other bugs)
: unspecified
: ARM All
: -- minor (vote)
: ---
Assigned To: William Maddox
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-21 13:29 PDT by Steven Johnson
Modified: 2014-03-17 08:00 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (525 bytes, patch)
2011-07-21 13:30 PDT, Steven Johnson
n.nethercote: review+
Details | Diff | Review

Description Steven Johnson 2011-07-21 13:29:38 PDT
Stan Switzer (Adobe) suggests: "It is right and fitting for nanojit to include its own headers rather than relying on [cpp files] to do so for it."
Comment 1 Steven Johnson 2011-07-21 13:30:53 PDT
Created attachment 547492 [details] [diff] [review]
Patch
Comment 2 Tamarin Bot 2011-07-21 13:33:32 PDT
changeset: 6482:13252f5bae23
user:      Steven Johnson <stejohns@adobe.com>
summary:   Bug 673214 - nanojit.h should probably include njcpudetect.h (r=pending)

http://hg.mozilla.org/tamarin-redux/rev/13252f5bae23
Comment 3 Nicholas Nethercote [:njn] 2011-07-21 16:03:10 PDT
Comment on attachment 547492 [details] [diff] [review]
Patch

Review of attachment 547492 [details] [diff] [review]:
-----------------------------------------------------------------

The usual process is to wait for r+ before landing the patch ;)
Comment 4 Steven Johnson 2011-07-21 16:06:37 PDT
Agreed, in this case I landed it in tamarin-redux as a stopgap measure to get the build unstuck -- I was prepared to back it out again if you didn't like this fix :-)
Comment 6 Tamarin Bot 2011-08-17 17:17:58 PDT
changeset: 6526:c8c41390d4a3
user:      William Maddox <wmaddox@adobe.com>
summary:   Bug 673214 - nanojit.h should probably include njcpudetect.h [stejohns@adobe.com] (r=nnethercote)

http://hg.mozilla.org/tamarin-redux/rev/c8c41390d4a3
Comment 7 Marco Bonardo [::mak] 2011-08-24 02:02:53 PDT
http://hg.mozilla.org/mozilla-central/rev/78c8c065bc95
Comment 8 Nicholas Nethercote [:njn] 2011-08-24 02:42:33 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/78c8c065bc95

Note You need to log in before you can comment on or make changes to this bug.